#pragma once
#include <iostream>
#include "glad/glad.h"
#include "GLFW/glfw3.h"
#include "glm/glm.hpp"
#include <random>
#include <chrono>

class Utils {
public:
    static GLuint LoadTexture(char const* path);
    static GLuint LoadCubemap(std::vector<std::string>& faces);
    static GLuint InitQuad();
    static void RenderQuad(GLuint vao);
    static GLuint InitQuad2();
    static void RenderQuad2();

    static GLuint InitSkyboxCube();
    static GLuint InitCube();
    static void RenderCube(GLuint vao);
    static float Random(float min, float max);
    static float NormalRandom(float avg, float var);
public:
    Utils() {};
    ~Utils() {};
};